[package]
name = "chireiden-thing"
version = "0.1.0"
edition = "2021"

[dependencies]
env_logger = "0.11.5"
log = "0.4.22"
pollster = "0.3.0"
wgpu = "22.1.0"
winit = "0.30.5"
macros = { path = "macros" }
ndarray = "0.16.1"
num-derive = "0.4.2"
num-traits = "0.2.19"
rand = "0.8.5"
truth = { git = "https://github.com/ExpHP/truth" }
anyhow = { version = "1.0.89", features = ["backtrace"] }
glam = { version = "0.29.0", features = ["bytemuck"] }
bytemuck = { version = "1.18.0", features = ["derive"] }
nonoverlapping_interval_tree = "0.1.5"
